
User Interface - Bug #2907

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

UPDATE statement in a window which is not ACTIVE-WINDOW must bring the window on top

12/03/2015 11:27 AM - Constantin Asofiei

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Cleanup and Stabilization for GUI   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 12/03/2015 11:29 AM - Constantin Asofiei

In demo/simple_windows.p, an UPDATE must bring its owner window to top.  The task should check the other input blocking statements (SET,

PROMPT-FOR, PAUSE), in scenarios like: multiple windows are created, ACTIVE-WINDOW (on top) is the DEFAULT-WINDOW, and use triggers to

execute input blocking UI statements in other windows.

#2 - 03/23/2016 04:59 PM - Greg Shah

- Target version changed from Milestone 12 to Milestone 16

#3 - 11/16/2016 12:23 PM - Greg Shah

- Target version changed from Milestone 16 to Cleanup and Stabilization for GUI
